Bug 489271 - NetworkManager fails to update due to depsolving problem with NetworkManager-openconnect
NetworkManager fails to update due to depsolving problem with NetworkManager-...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 489332 489340 489364 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 05:32 EDT by Jaroslav Franek
Modified: 2009-03-12 07:49 EDT (History)
7 users (show)

See Also:
Fixed In Version: 0.7.0.99-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 06:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Franek 2009-03-09 05:32:08 EDT
Description of problem:
The last update via yum failed due to depsolving problem. Not a problem for an expert, but newbees could be stressed and as it aborts the update they would not get other security fixes.


Version-Release number of selected component (if applicable):
currently installed:
[root@localhost ~]# rpm -qa | grep NetworkManager
NetworkManager-openvpn-0.7.0-18.svn11.fc10.x86_64
NetworkManager-vpnc-0.7.0-1.svn13.fc10.x86_64
NetworkManager-gnome-0.7.0-1.git20090102.fc10.x86_64
NetworkManager-glib-0.7.0-1.git20090102.fc10.x86_64
NetworkManager-0.7.0-1.git20090102.fc10.x86_64
NetworkManager-openconnect-debuginfo-0.7.0-4.svn14.fc10.x86_64
NetworkManager-openvpn-debuginfo-0.7.0-18.svn11.fc10.x86_64
NetworkManager-vpnc-debuginfo-0.7.0-1.svn13.fc10.x86_64
NetworkManager-debuginfo-0.7.0-1.git20090102.fc10.x86_64

trying to update to
NetworkManager-0.7.0.99-1.fc10.x86_64



How reproducible:
Regular update via yum.



Steps to Reproduce:
1. run yum -d 9 update
2.
3.
  
Actual results:
--> Processing Conflict: NetworkManager conflicts NetworkManager-openconnect < 1:0.7.0.99-1
NetworkManager conflicts with NetworkManager-openconnect
--> Finished Dependency Resolution
Dependency Process ending
1:NetworkManager-0.7.0.99-1.fc10.x86_64 from updates has depsolving problems
  --> NetworkManager conflicts with NetworkManager-openconnect




Expected results:
Clean update.


Additional info:
This is not the first time the NetworkManager has depsolving issues. Several months ago it was NetworkManager-openvpn (I had Fedora 8 that time) that triggered the problem. Is it a sign of some deeper issues in handling NetworkManager dependencies?

And one more note to yum: I guess it is not correct that a single depsolving issue aborts the installation of other (independent) security fixes. What I would expect is some higher level intelligence: if there is a depsolving issue with a single package, report it and allow user to choose to skip this package, so the rest is updated. A plugin? or a yum core feature?
Comment 1 Jessica Sterling 2009-03-09 12:52:46 EDT
*** Bug 489340 has been marked as a duplicate of this bug. ***
Comment 2 Jessica Sterling 2009-03-09 12:53:12 EDT
*** Bug 489332 has been marked as a duplicate of this bug. ***
Comment 3 Jessica Sterling 2009-03-09 12:55:20 EDT
This bug has been triaged.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fedora Update System 2009-03-09 19:43:55 EDT
NetworkManager-0.7.0.99-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-2.fc10
Comment 5 Fedora Update System 2009-03-09 19:44:47 EDT
NetworkManager-0.7.0.99-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-2.fc9
Comment 6 Fedora Update System 2009-03-10 06:49:31 EDT
NetworkManager-0.7.0.99-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-03-10 06:49:52 EDT
NetworkManager-0.7.0.99-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Rex Dieter 2009-03-10 07:59:58 EDT
*** Bug 489364 has been marked as a duplicate of this bug. ***
Comment 9 Alexey Kuznetsov 2009-03-11 06:31:55 EDT
NEXTRELEASE is it mean fedora 11?
Comment 10 Dan Williams 2009-03-11 07:32:26 EDT
Nah, currentrelease, sorry.  -3 fixes the problem.
Comment 11 Paul W. Frields 2009-03-12 07:49:24 EDT
Sorry to spam a closed bug. With regard to the yum question, you can use the '--skip-broken' option to skip over depsolving problems.

Note You need to log in before you can comment on or make changes to this bug.